Debian Bug report logs - #592671
partman-target: /target/etc/fstab is not created on Hurd

version graph

Package: partman-target; Maintainer for partman-target is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-target is src:partman-target.

Reported by: Jeremie Koenig <jk@jk.fr.eu.org>

Date: Wed, 11 Aug 2010 21:27:01 UTC

Severity: normal

Tags: patch

Found in version partman-target/68

Fixed in version partman-target/69

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#592671; Package partman-target. (Wed, 11 Aug 2010 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 11 Aug 2010 21:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: submit@bugs.debian.org
Subject: partman-target: /target/etc/fstab is not created on Hurd
Date: Wed, 11 Aug 2010 23:24:37 +0200
[Message part 1 (text/plain, inline)]
Package: partman-target
Version: 68
Tags: patch
Usertags: gsoc2010

Hello,

The following pieces are missing to have /target/etc/fstab created on Hurd:
  - finish.d/create_fstab_header has no 'hurd' case;
  - the default "mount style" must be 'traditional' on Hurd, since there
    is no volume id support at the moment.

The attached patch adds them. The default value for partman/mount_style
is changed by debian/rules at build time, using an approach similar to
what partman-base does for partman/default_filesystem.

NB: if you commit this patch, remember to substitute the bug number in
debian/changelog.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[partman-target_hurd.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#592671; Package partman-target. (Tue, 17 Aug 2010 02:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 17 Aug 2010 02:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 592671@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Jeremie Koenig <jk@jk.fr.eu.org>, 592671@bugs.debian.org
Subject: Re: Bug#592671: partman-target: /target/etc/fstab is not created on Hurd
Date: Tue, 17 Aug 2010 04:17:48 +0200
Hello,

Jeremie Koenig, le Wed 11 Aug 2010 23:24:37 +0200, a écrit :
> The following pieces are missing to have /target/etc/fstab created on Hurd:

Very straight forward, applied.

Thanks,
Samuel




Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Tue, 17 Aug 2010 02:21:06 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 22 Aug 2010 22:33:11 GMT) Full text and rfc822 format available.

Notification sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Bug acknowledged by developer. (Sun, 22 Aug 2010 22:33:11 GMT) Full text and rfc822 format available.

Message #17 received at 592671-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 592671-close@bugs.debian.org
Subject: Bug#592671: fixed in partman-target 69
Date: Sun, 22 Aug 2010 22:32:21 +0000
Source: partman-target
Source-Version: 69

We believe that the bug you reported is fixed in the latest version of
partman-target, which is due to be installed in the Debian FTP archive:

partman-target_69.dsc
  to main/p/partman-target/partman-target_69.dsc
partman-target_69.tar.gz
  to main/p/partman-target/partman-target_69.tar.gz
partman-target_69_all.udeb
  to main/p/partman-target/partman-target_69_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592671@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated partman-target package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Aug 2010 00:23:20 +0200
Source: partman-target
Binary: partman-target
Architecture: source all
Version: 69
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 partman-target - Provides partman with ability to prepare /target (udeb)
Closes: 592671
Changes: 
 partman-target (69) unstable; urgency=low
 .
   [ Colin Watson ]
   * Use 'dh $@ --options' rather than 'dh --options $@', for
     forward-compatibility with debhelper v8.
 .
   [ Jeremie Koenig ]
   * Hurd support (closes: #592671):
     - finish.d/create_fstab_header: add a hurd case;
     - debian/rules: set as OS-dependant default for partman/mount_style,
       using the same method as partman-base for partman/default_filesystem.
 .
   [ Aurelien Jarno ]
   * Teach finish.d/fstab_removable_media_entries how to write CD-ROM
     entries in /etc/fstab with the correct filesystem.
Checksums-Sha1: 
 4869e9d80398150ee18e7ef543b84813cfe5ae1b 894 partman-target_69.dsc
 3e1dcb17051464911493367d93b10335bf57946a 129527 partman-target_69.tar.gz
 e3ec65c9f14f405f0c4c0151f408fc5c1324e38c 101826 partman-target_69_all.udeb
Checksums-Sha256: 
 f27709d8d035e4c1db77549f977086f79f2f4d31590a304b8c308ca62cc7f868 894 partman-target_69.dsc
 689c43704ade5cdf85fd07ea17d77d055ee82612c920bb42b6ca89a38903f19c 129527 partman-target_69.tar.gz
 596b47da336d2016c6ac03e232ed6b8a890c052daf9b466761cd463545a17f0e 101826 partman-target_69_all.udeb
Files: 
 11feb07042f03f2dd0a8433b1163243e 894 debian-installer standard partman-target_69.dsc
 aad0f64296fe023e18e9ca0919acfe04 129527 debian-installer standard partman-target_69.tar.gz
 9a6e7b32a87e6fc136ae2b3daa5ccc89 101826 debian-installer standard partman-target_69_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMcaOLw3ao2vG823MRAgNjAJ9EBPLz5aD1XJ4Fuqm/UxWerpCLlQCfYXod
+PHc4UoKZW99tZwuzMEq+Js=
=Xt1q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Oct 2010 07:41:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:31:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.